Subject: Re: [tram] Genart telechat review of draft-ietf-tram-stunbis-16
From: Marc Petit-Huguenin <[email-masked]>
To: "Dale R. Worley" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 15 May 2018 03:13:45 -0700
List-Id: IETF-Discussion <ietf.ietf.org>

On 05/14/2018 07:18 PM, Dale R. Worley wrote:
> Marc Petit-Huguenin <[email-masked]> writes:
>>>    To do that, it follows the
>>>    identification procedures defined in [RFC6125], with a certificate
>>>    containing an identifier of type DNS-ID or CN-ID, eventually with
>>>    wildcards, but not of type SRV-ID or URI-ID.
>>>
>>> The meaning of "eventually" here is not clear.
>>
>> Rephrased as:
>>
>>    [...]
>>    containing an identifier of type DNS-ID or CN-ID, eventually with a
>>    wildcard character as leftmost label, but not of type SRV-ID or URI-
>>    [...]
> 
> I have some doubt about the use of "eventually" here.  As I use it,
> "eventually" means that the thing will happen at some unspecified time
> in the future.  Wiktionary gives this meaning also.  But I looked
> "eventually" up in my paper dictionary, and it also has the meaning
> "dependent on circumstance; contingent".
> 
> In this context, I do not see how the meaning about unspecified future
> time works.  But perhaps you mean that having a wildcard character as
> leftmost label is contingent?  That meaning works.  But in that case, I
> would find "optionally" to be clearer.  (And Google Translate says that
> "éventuellement" can be translated into English as either "eventually"
> or "optionally", although it provides "facultativement" as the first
> translation into French of "optionally".)
> 
> You may wish to consult the RFC Editor about this.
> 

No, you are right, I was using "eventually" incorrectly all this time.  I changed "eventually" to "optionally" in my copy.

Thanks.

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug